> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transfers

> List all payout transfers with status filtering



## OpenAPI

````yaml get /v1/transfers
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/transfers:
    get:
      summary: Get list of transfers
      description: Get list of transfers
      operationId: get-transfers
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: beneficiary_id
          in: query
          description: The Beneficiary id
          schema:
            type: string
            format: uuid
        - name: keywords
          description: The keywords to search by ID, beneficiary name and remark
          in: query
          schema:
            type: string
            format: uuid
        - name: status
          description: The status of the transfer
          in: query
          schema:
            type: string
            enum:
              - scheduled
              - processing
              - paid
              - failed
              - canceled
        - name: per_page
          in: query
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 9ec02ec7-a121-457f-9efc-1c4610fbe4e6
                        beneficiary:
                          id: 9ec01865-7af1-4937-813d-7801912d2cd1
                          status: approved
                          country: sg
                          currency: sgd
                          transfer_method: bank_transfer
                          transfer_type: local
                          nickname: null
                          remark: null
                          holder_name: John Test
                          holder_type: individual
                          account_number: '1409828'
                          bank_name: BANK OF AMERICA
                          bank_id: BOFASG2XXXX[7065]
                          email: null
                          bank_swift_code: BOFASG2XXXX
                          is_favourite: false
                          created_at: '2025-04-24T15:13:22+08:00'
                          updated_at: '2025-04-24T15:13:22+08:00'
                          deleted_at: null
                        payment_currency: sgd
                        payment_amount: 20
                        source_currency: usd
                        source_amount: 15.45
                        exchange_rate: '1.293876'
                        fee:
                          amount: 0
                          currency: usd
                          paid_by: payer
                        remark: >-
                          Remark In deserunt voluptates aspernatur aut nisi
                          occaecati.
                        reference: null
                        status: scheduled
                        attachment: null
                        created_at: '2025-04-24T16:15:57+08:00'
                      - id: 9ec01866-a609-4ce4-a3d1-e3e230872509
                        beneficiary:
                          id: 9ec01865-7af1-4937-813d-7801912d2cd1
                          status: approved
                          country: sg
                          currency: sgd
                          transfer_method: bank_transfer
                          transfer_type: local
                          nickname: null
                          remark: null
                          holder_name: John Test
                          holder_type: individual
                          account_number: '1409828'
                          bank_name: BANK OF AMERICA
                          bank_id: BOFASG2XXXX[7065]
                          email: null
                          bank_swift_code: BOFASG2XXXX
                          is_favourite: false
                          created_at: '2025-04-24T15:13:22+08:00'
                          updated_at: '2025-04-24T15:13:22+08:00'
                          deleted_at: null
                        payment_currency: sgd
                        payment_amount: 20
                        source_currency: usd
                        source_amount: 15.45
                        exchange_rate: '1.293876'
                        fee:
                          amount: 0
                          currency: usd
                          paid_by: payer
                        remark: >-
                          Remark Quia provident cumque molestiae corrupti
                          molestiae.
                        reference: null
                        status: scheduled
                        attachment: null
                        created_at: '2025-04-24T15:13:22+08:00'
                    links:
                      first: null
                      last: null
                      prev: null
                      next: null
                    meta:
                      path: https://api.sandbox.hit-pay.com/v1/transfers
                      per_page: 25
                      next_cursor: null
                      prev_cursor: null
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        beneficiary:
                          type: object
                          properties:
                            id:
                              type: string
                            status:
                              type: string
                            country:
                              type: string
                            currency:
                              type: string
                            transfer_method:
                              type: string
                            transfer_type:
                              type: string
                            nickname:
                              type: string
                            remark:
                              type: string
                            holder_name:
                              type: string
                            holder_type:
                              type: string
                            bank_branch_code:
                              type: string
                            bank_routing_number:
                              type: string
                            account_number:
                              type: string
                            bank_name:
                              type: string
                            bank_id:
                              type: string
                            email:
                              type: string
                            is_favourite:
                              type: boolean
                            created_at:
                              type: string
                            updated_at:
                              type: string
                            deleted_at: {}
                          required:
                            - id
                            - is_external
                            - country
                            - currency
                            - transfer_method
                            - nickname
                            - remark
                            - holder_name
                            - holder_type
                            - email
                            - bank_routing_number
                            - account_number
                            - is_favourite
                            - created_at
                            - updated_at
                            - deleted_at
                        payment_currency:
                          type: string
                        payment_amount:
                          type: number
                        source_currency:
                          type: string
                        source_amount:
                          type: number
                        exchange_rate:
                          type: string
                        fee:
                          type: object
                          properties:
                            paid_by:
                              type: string
                              enum:
                                - payer
                                - beneficiary
                            amount:
                              type: number
                            currency:
                              type: string
                        discount_fee_rate:
                          type: number
                        fixed_fee:
                          type: number
                        discount_fee:
                          type: number
                        remark:
                          type: string
                        status:
                          type: string
                          enum:
                            - scheduled
                            - processing
                            - paid
                            - failed
                            - canceled
                        attachment:
                          type: string
                        created_at:
                          type: string
                      required:
                        - id
                        - beneficiary
                        - payment_currency
                        - payment_amount
                        - source_currency
                        - source_amount
                        - exchange_rate
                        - fixed_fee
                        - discount_fee
                        - discount_fee_rate
                        - fee
                        - status
                        - remark
                        - status
                        - source_type
                        - attachment
                        - created_at
                  links:
                    type: object
                    properties:
                      first: {}
                      last: {}
                      prev: {}
                      next:
                        type: string
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                      per_page:
                        type: number
                      next_cursor:
                        type: string
                      prev_cursor: {}
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
      deprecated: false

````